pcl::_PointXYZRGBNormal Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointXYZRGBNormal:

## Public Attributes

| PCL_ADD_POINT4D
| PCL_ADD_NORMAL4D
union {
struct {
PCL_ADD_UNION_RGB
float curvature
} |
float data_c [4]
}; |
| PCL_ADD_EIGEN_MAPS_RGB

## Detailed Description

Definition at line 865 of file point_types.hpp.

## Member Data Documentation

union { ... }

float pcl::_PointXYZRGBNormal::curvature

Definition at line 874 of file point_types.hpp.

Referenced by pcl::PointXYZRGBNormal::PointXYZRGBNormal().

float pcl::_PointXYZRGBNormal::data_c[4]

Definition at line 876 of file point_types.hpp.

pcl::_PointXYZRGBNormal::PCL_ADD_EIGEN_MAPS_RGB

Definition at line 878 of file point_types.hpp.

pcl::_PointXYZRGBNormal::PCL_ADD_NORMAL4D

Definition at line 868 of file point_types.hpp.

pcl::_PointXYZRGBNormal::PCL_ADD_POINT4D

Definition at line 867 of file point_types.hpp.

pcl::_PointXYZRGBNormal::PCL_ADD_UNION_RGB

Definition at line 873 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/impl/point_types.hpp